<?php
  
/*
-------------------------------
Класс для работы с ZIP архивами
-------------------------------
*/
  
CLASS ZIP {
    
  /*
  ---------------------
  Распаковка ZIP архива
  ---------------------
  */
  
  PUBLIC STATIC FUNCTION UNPACK($path_file, $path)
  {
    
    $zip = NEW ZipArchive;
    
    IF ($zip->open(''.$path_file.'') === TRUE){
      
      $zip->extractTo(''.$path.'');
      $zip->close();
      
      RETURN 1;
      
    }ELSE{
      
      RETURN 0;
    
    }
    
  }
  
  /*
  -------------------------------
  Переименовать файл в ZIP архиве
  -------------------------------
  */
  
  PUBLIC STATIC FUNCTION RENAME_FILE($path_zip_file, $path_file, $path_file_rename)
  {
    
    $zip = NEW ZipArchive;
    
    IF ($zip->open(''.$path_zip_file.'') === TRUE){
      
      $zip->renameName(''.$path_file.'', ''.$path_file_rename.'');
      
      $zip->close();
        
      RETURN 1;
    
    }ELSE{
      
      RETURN 0;
    
    }
    
  }

}